Grants, vesting & distributions

Add Single Grant

Creates one ACCEPTED grant with tags and optional lockup, then generates vesting and lockup schedules.

POSThttps://api.toku.com/tga/add-single-grant

Not available to API keys yet. It will need grants:write.

curl --request POST \
  --url 'https://api.toku.com/tga/add-single-grant' \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "grantName": "string",
  "grantDescription": "string",
  "grantConfigurationID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "grantAmount": 0,
  "grantAmountInFiat": 0,
  "tokenTypeID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "pricePerUnit": 0,
  "fmvPerUnit": "string",
  "pricePerUnitCurrencyCode": "string",
  "scheduleStringOverride": "string",
  "vestingStartDate": "2026-01-01T00:00:00Z",
  "vestingFrequencyType": "MONTHLY",
  "vestingCliffPercentage": 0,
  "vestingCliffPeriods": 0,
  "vestingPeriods": 0,
  "lockup": 0,
  "recipientID": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "isSection83bElectionEligible": true,
  "isTaxable": true,
  "offPlatformDate": "2026-01-01T00:00:00Z",
  "tags": [
    "string"
  ],
  "grantDate": "2026-01-01T00:00:00Z",
  "autoVesting": true,
  "isCashCompensation": true,
  "grantAssetType": "TOKEN",
  "grantTemplateID": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
}'
200 response
{
  "grantID": "string"
}

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.

Body

application/json

grantNamestringrequired

Allowed: 1 to 500 characters

grantDescriptionstringrequired

Allowed: at most 10000 characters

grantConfigurationIDstring<uuid>required
grantAmountnumberrequired
grantAmountInFiatnumber
tokenTypeIDstring | null<uuid>
pricePerUnitnumber
fmvPerUnitstring<decimal>

Allowed: matches ^-?[0-9]+(\.[0-9]+)?$

pricePerUnitCurrencyCodestring

Allowed: at most 20 characters

scheduleStringOverridestring

Allowed: at most 10000 characters

vestingStartDatestring<date-time>required
vestingFrequencyTypestringrequired

Available options: MONTHLY, QUARTERLY, SEMIANNUALLY, YEARLY, CUSTOM, DAILY, WEEKLY

vestingCliffPercentagenumberrequired
vestingCliffPeriodsintegerrequired

Allowed: 0 to 1000

vestingPeriodsintegerrequired

Allowed: 0 to 10000

lockupintegerrequired

Allowed: 0 to 1000

recipientIDstring<uuid>required
isSection83bElectionEligibleboolean
isTaxableboolean
offPlatformDatestring<date-time>
tagsstring[]required

Allowed: at most 500 items

grantDatestring<date-time>required
autoVestingboolean
isCashCompensationboolean
grantAssetTypestring

Available options: TOKEN, FIAT

grantTemplateIDstring<uuid>

Response

200Successful response
grantIDstringrequired
400Bad request
401Unauthorized
403Forbidden
404Not found
409Conflict
429Response 429
Was this page helpful? Suggest edits